summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/basic_multi_traffic.sh
diff options
context:
space:
mode:
authorFilip Tehlar <ftehlar@cisco.com>2016-09-28 14:31:35 +0200
committerFilip Tehlar <ftehlar@cisco.com>2016-09-28 14:31:35 +0200
commitae57efc8dc2cd1d70352497b2cb6d57cddb06fa2 (patch)
tree0d72111b2d9f0c562373f2e09c219d7664f97120 /tests/data_plane/vpp_lite_topo/test_driver/basic_multi_traffic.sh
parentbf231ba795387064e7c4f1781240619429a4ef29 (diff)
Add adjacency test
* add 4o4 and 6o6 LISP adjacency tests * rename basic_topo file to 2_node_topo Change-Id: Iea386b10948437f5b6ee3c5539deb22bc923f88e Signed-off-by: Filip Tehlar <ftehlar@cisco.com>
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/basic_multi_traffic.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic_multi_traffic.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic_multi_traffic.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic_multi_traffic.sh
index 79456b7..ee24891 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic_multi_traffic.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic_multi_traffic.sh
@@ -1,13 +1,13 @@
source config.sh
source odl_utils.sh
-source topologies/basic_topo.sh
+source topologies/2_node_topo.sh
ODL_CONFIG_FILE1="vpp1.json"
ODL_CONFIG_FILE2="vpp2.json"
ODL_CONFIG_FILE3="update_vpp2.json"
if [ "$1" == "clean" ] ; then
- basic_topo_clean
+ 2_node_topo_clean
exit 0
fi
@@ -18,7 +18,7 @@ fi
function test_basic_multi_traffic
{
- basic_topo_setup
+ 2_node_topo_setup
# additional setup
ODL_CONFIG_DIR=`pwd`/../configs/odl/basic/4o4
@@ -30,10 +30,10 @@ function test_basic_multi_traffic
maybe_pause
ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
- assert_rc_ok $? basic_topo_clean "No response received!"
+ assert_rc_ok $? 2_node_topo_clean "No response received!"
ip netns exec vppns1 "${3}" -w 15 -c 1 "${4}"
- assert_rc_ok $? basic_topo_clean "No response received!"
+ assert_rc_ok $? 2_node_topo_clean "No response received!"
# change IP addresses of destination RLOC
echo "set int ip address del host-intervpp2 6.0.3.2/24" | nc 0 5003
@@ -49,7 +49,7 @@ function test_basic_multi_traffic
maybe_pause
ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
- assert_rc_ok $? basic_topo_clean "No response received!"
+ assert_rc_ok $? 2_node_topo_clean "No response received!"
ip netns exec vppns1 "${3}" -w 15 -c 1 "${4}"
rc=$?
@@ -57,9 +57,8 @@ function test_basic_multi_traffic
maybe_pause
# test done
- basic_topo_clean
+ 2_node_topo_clean
print_status $rc "No ICMP response!"
exit $test_result
}
-